var SimpleMain = (function () {
	var updateGamepad = function(){
        //Add logic
		if(Gamepad.click(GamepadKey.A)) {
            console.log('Click "A" key');
        }
		if(Gamepad.click(GamepadKey.B)) {
            console.log('Click "B" key');
        }
	}
	
    var onKeyDown = function(e) {
        //Add logic
        if(e.keyCode === '1'.charCodeAt(0)) {
            console.log('Click "1" key');
        } 
        else if(e.keyCode === 'A'.charCodeAt(0)) {
            console.log('Click "a" key');
        }
    }      
    
    var onIdle = function () {
        //Add logic
    }
    
	var listenForGamepad = function () {
		updateLoop = function () {
            onIdle();
            if(Gamepad.isActivate()) {
                Gamepad.preUpdate();
                updateGamepad();
                Gamepad.postUpdate();
            }
            requestAnimationFrame(updateLoop);
		};
		updateLoop();
	};

	function addGamepadEvent() {
		window.addEventListener("gamepadconnected", function (e) {
			Gamepad.init();
		});
	}
        
    var addKeyboardEvent = function() {
        document.addEventListener("keydown", onKeyDown);	
    }
	
    function init() {
        //Add logic
		addGamepadEvent();
        addKeyboardEvent();
        listenForGamepad();
    }

    return {
        init: init,
    };
})();